.market-stats-wrapper {
  & .header {
    @include muli-regular(12px);
  }
  & .card {
    & .card-body {
      & .card-title {
        @include muli-regular(14px);
        color: #9e9e9e;
        margin-bottom: 0;
      }
      & .card-value {
        @include muli-bold(14px);
      }
    }
  }
}

.about-wrapper {
  & .header {
    @include muli-regular(12px);
  }
  & .card {
    & .card-body {
      padding: 18px 10px 18px 15px;
      & .card-title {
        @include muli-regular(14px);
        line-height: 16px;
        word-break: break-word;
      }
      & .read-more {
        @include muli-regular(10px);
        text-decoration: underline;
        color: #808080;
        border: 0;
        background-color: transparent;
      }
    }
  }
}

.financial-wrapper {
  @media (min-width: 800px){
  app-nav-tabs {
& .scroll-btn {
    display: flex;
}
  }
}
  margin-top: 0px;
  & .header {
    @include muli-regular(12px);
  }
}

.news-card-title {
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  height: 65px;
  overflow: hidden;
}

.financial-wrapper .nav {
  flex-wrap: nowrap;
  white-space: nowrap;
}

.news-wrapper {
  & .card-list-header {
    & .card-list-title {
      & > span {
        @include muli-regular(12px);
      }
    }
    & .card-list-action {
      & > a {
        @include muli-regular(10px);
      }
    }
  }
  & .card-wrapper {
    display: flex;
    overflow-y: hidden;
    overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
    margin-bottom: 80px;

    white-space: nowrap;
    & app-news-card {
      padding: 6px;
      margin-right: 10px;
    }
  }
  & .card-wrapper::-webkit-scrollbar {
    display: none;
  }
}
// app-cards-list{
//   &.news-card{
//     & .card-list-body{
//     display:flex;
//     overflow: auto;
//     white-space: nowrap;
//     app-info-card{
//       min-width: 201px;
//       max-width: 201px;
//       max-height: 101px;
//     }
//     }
//   }
// }

app-search {
  app-search-field {
    & .input-group {
      background-color: #ffffff;
      border-radius: 0.5rem;
      border: 1px solid #d1cece;
    }
  }
  & .search-block-mobile {
    width: 100%;
    & .card {
      background: #ffffff 0% 0% no-repeat padding-box;
      box-shadow: 0px 11px 12px #0000001c;

      & .card-body {
        padding-left: 0;
        padding-right: 0;
        & .border-bottom {
          border-bottom: 1px solid rgb(209, 209, 209);
          margin: 12px 0px;

          & .text {
            display: block;
            @include muli-bold(12px);
          }
          & .sub-text {
            @include muli-regular(12px);
            color: #bbbbbb;
            margin-left: 4px;
          }
        }
      }
    }
  }
}
// all stocks web

// filters css
.filters-wrapper {
  & .header {
    & .card {
      border-bottom: 1px solid #d6d4d4 !important;
      border: none;
      & .card-body {
        @include muli-regular(16px);
        padding: 18px 10px;
        & .clear {
          color: #df4b5a;
        }
      }
    }
  }
  & #accordion {
    & .card {
      background: #ffffff 0% 0% no-repeat padding-box;
      border: 0.5px solid #f6f7fc;
      & .card-header {
        padding: 16px 15px;
        background-color: white !important;
        border-radius: 0px;
        border-bottom: 0.5px solid #f6f7fc;

        & .btn {
          padding: 0;
          @include muli-semibold(14px);
          color: #000000;
        }
      }

      & .card-body {
        & .custom-control {
          margin-bottom: 30px;
          &.custom-radio {
            margin-right: 10px;
          }
          & .custom-control-label {
            @include muli-light(14px);
          }
        }
      }
    }
  }
}
// buyStocks modal css
.BuyStocksmodal .modal-header {
  background: white;
  border-bottom: 0 none;
  .modal-title {
    color: #196be5;
    @include muli-bold(20px);
  }
  .close {
    span {
      @include muli-bold(25px);
    }
  }
  span {
    color: #434343;
    @include muli-bold(14px);
  }
  .clr {
    // color: #30c281;
    @include muli-semibold(12px);
  }
}

.BuyStocksmodal .modal-body {
  input {
    padding: 15px !important;
  }

  .advanceOption{
    text-align: right;
    @include muli-regular(10px);
    text-decoration: underline;
    color: #434343;
  }

  .content{
    .value{
      @include muli-semibold(14px);
    }
    .title{
      @include muli-semibold(14px);
    }
  }
}

.BuyStocksmodal .modal-footer {
  border-top: 0 none;
  justify-content: space-between;
  .content {
    display: flex;
    justify-content: center;
    align-items: center;
    h5 {
      color: #434343;
      @include muli-bold(16px);
      margin: 0;
    }
    span {
      color: #bbbbbb;
      @include muli-regular(10px);
    }
  }
  .btn {
    background-color: #196be5;
    color: white;
    border: none;
    padding: 10px 50px;
    box-shadow: 0px 2px 8px #7090d080;
    border: 1px solid #00000000;
    @include muli-semibold(14px);
    border-radius: 4px;
    text-transform: uppercase;
    width: 100%;
  }

  .btn-terms{
    background: #f0f3fa 0% 0% no-repeat padding-box;
    border-radius: 4px;
    padding: 8px auto;
    color:#196be5;
    @include muli-semibold(13px);
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
  }


}
// conferm modal
.conferm-modal{
  & .modal-header{
    justify-content: center;
    border-bottom: 0px;
    & .modal-basic-title{
      @include muli-bold(18px);
      color: #1C1C1C;
    }
  }

  & .modal-body{
    & .basic-info{
      & .qty{
        @include muli-semibold(12px);
      }
      & .title{
        @include muli-semibold(16px);
      }

      .text{
        @include muli-light(12px);

      }
      .value{
        @include muli-semibold(12px);

      }
      .go-back-btn{
        @include muli-semibold(14px);
        text-align: center;
        img{
          max-width: 12px;
        }
      }
    }
  }
}
// terms defination modal
.terms-defination-modal{

  & .modal-header{
    background-color: #f0f3fa;
    align-items: center;
    & .modal-title{
      color:#196be5;
      @include muli-semibold(13px);
    }
  }

  & .modal-body{
    & .heading{
      color:#196be5;
      @include muli-semibold(14px);
      margin-bottom: 4px;
      margin-top: 20px;
    }

    & .text{
      @include muli-regular(12px);
      color: #272727;

    }
  }
}

// select watchlist modal

.selectWatchList {
  & .modal-header {
    padding: 16px 24px 16px 24px;
    background: #f8f8f800;
    border-bottom: 0 none;
    .modal-title {
      color: #020202;
      @include muli-bold(16px);
    }
  }
  & .modal-body {
    padding: 0px;
    @include muli-regular(14px);
    & .watchDivList {
      &.active {
        background-color: aliceblue;
      }
      padding: 16px 20px;
      border-bottom: 1px solid #d3d3d3;
      text-transform: uppercase;
      & .btn {
        padding: 4px;
        width: 30px;
        font-size: 16px;
        border-radius: 5px;
      }
    }
  }
  & .modal-footer {
    @include muli-semibold(14px);
    .btn{
      border: 1px solid #196be5;
    border-radius: 5px;
    font-family: "Muli Regular" !important;
    font-size: 16px !important;
    background-color: #196be5;
    color: #ffffff;
    padding: 10px 18px;
    }
  }
}

// stocks details
.performance-chart-details {
  & .detail-data {
    height: 100%;
    align-items: center;
    & .row {
      height: 47px;
      align-items: center;
      justify-content: space-around;
      & .title {
        color: #9e9e9e;
        font-family: "Muli Regular" !important;
        font-size: 13px !important;
        // white-space: nowrap;
        // overflow: hidden;
        // text-overflow: ellipsis;
        // width: 86px;
      }
      & .values {
        @include muli-bold(14px);
      }
    }
  }
  & .detail-data:nth-child(odd)::after {
    content: "";
    height: inherit;
    border-right: 1px solid lightgrey !important;
    position: absolute;
    right: 0;
    top: 0;
  }
  & .detail-data:nth-child(4n)::after {
    border: 0;
  }
  & .info {
    margin: 24px 0px;

    & .price {
      @include muli-bold(20px);
    }
    & .market-status {
      @include muli-bold(14px);
      margin-left: 14px;
      & img {
        margin-right: 8px;
      }
    }
    & .status {
      @include muli-regular(10px);
      text-transform: uppercase;
    }
    & .date {
      @include muli-regular(10px);
      margin-left: 3px;
    }
  }
}

.portfolio-card-detail {
  & .card {
    & .card-body {
      & .value {
        @include muli-light(18px);
        color: #434343;

        &.positive {
          color: #2bdf8f;
        }
        &.negative {
          color: #df4b5a;
        }
      }
      & .text {
        @include muli-bold(14px);
        color: #434343;
      }
    }
  }
}

app-stocks-by-id {
  .performance-chart {
    app-line-chart {
      & .card {
        border: none;
        box-shadow: none;
      }
    }
  }

  .portfolio-card-detail {
    & .card {
      & .card-body {
        & .value {
          @include muli-light(18px);
          color: #434343;

          &.positive {
            color: #2bdf8f;
          }
          &.negative {
            color: #df4b5a;
          }
        }
        & .text {
          @include muli-bold(14px);
          color: #434343;
        }
      }
    }
  }

  .bottom-fixed-btn {
    .dropdown-item {
      margin-bottom: 20px;
      @include muli-regular(14px);
    }
    .dropup {
      & .dropdown-toggle::after {
        display: none;
      }

      & .btn {
        padding: 0;
        padding: 12px 0px;
      }
    }
  }
}

// ng-template{
//   &.filterModal{

//   }
// }
// .modal.show .modal-dialog {
//   transform: translate(0px);
// }
.modal {
  position: fixed;
  .modal-body {
    // max-height: 200px;
    // overflow: scroll;
  }
}
// .modal.show .modal-dialog {
//   transform: translateY(281px);
// }

app-all-stocks {
  & .filter-wrapper {
    position: relative;
    & .mobile-filter-backdrop {
      position: fixed;
      top: 100%;
      opacity: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background-color: rgba(0, 0, 0, 0.5);
      z-index: 999;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        top: 0;
        opacity: 1;
      }
    }
    & .mobile-filter-panel {
      position: fixed;
      bottom: -100%;
      opacity: 0;
      left: 0;
      right: 0;
      z-index: 9999;
      background-color: white;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        bottom: 0;
        opacity: 1;
      }
      & .filter-title {
        padding-top: 10px;
        padding-bottom: 10px;
        border-bottom: 2px solid #d6d4d4;
        & .filter-heading {
          margin: 0;
          @include muli-semibold(16px);
        }
        & .filter-title-action {
          color: #196be5;
          & .btn-filter-close {
            font-size: 1.5rem;
            line-height: normal;
          }
        }
      }

      & .filter-footer {
        padding-top: 10px;
        padding-bottom: 10px;
      }

      & .filter-body {
        display: flex;
        flex-direction: row;
        height: 50vh;
        & .filter-category-wrapper {
          display: flex;
          flex-direction: row;
          flex: 0 0 30%;
          flex-wrap: wrap;
          background-color: #F6F7FC;
          & .filter-category {
            flex: 1 1 auto;
            & .filter-type{
              & a {
                padding: 15px 0 15px 10px;
                display: flex;
                color: #000000;
                @include muli-semibold(14px);
                text-decoration: none;
                &.active {
                  background-color: white;
                }
              }
            }
          }
        }

        & .filter-options-wrapper {
          flex: 1 1 auto;
          overflow: scroll;
          -webkit-overflow-scrolling: touch;
          & .filter-options {
            display: flex;
            flex-direction: column;
            padding: 0.5rem 0;
            & .form-check {
              margin: 0.5rem 1rem;
              padding-left: 1.5rem;
              & .form-check-input {
                margin-left: -1.5rem;
              }
              & .form-check-label {
                @include muli-light(14px);
              }
            }
          }
        }
      }
    }
    & .desktop-filter-panel {
      position: relative;
      background-color: white;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        bottom: 0;
        opacity: 1;
      }
      & .filter-title {
        padding-top: 10px;
        padding-bottom: 10px;
        border-bottom: 2px solid #d6d4d4;
        & .filter-heading {
          margin: 0;
          @include muli-semibold(16px);
        }
        & .filter-title-action {
          color: #196be5;
          & .btn-filter-close {
            font-size: 1.5rem;
            line-height: normal;
          }
        }
      }

      & .filter-footer {
        padding-top: 10px;
        padding-bottom: 10px;
      }

      & .filter-body {
        display: flex;
        flex-direction: row;
        height: 50vh;
        & .filter-category-wrapper {
          display: flex;
          flex-direction: row;
          flex: 0 0 30%;
          flex-wrap: wrap;
          background-color: #F6F7FC;
          & .filter-category {
            flex: 1 1 auto;
            & .filter-type{
              & a {
                padding: 15px 0 15px 10px;
                display: flex;
                color: #000000;
                @include muli-semibold(14px);
                text-decoration: none;
                &.active {
                  background-color: white;
                }
              }
            }
          }
        }

        & .filter-options-wrapper {
          flex: 1 1 auto;
          overflow: scroll;
          -webkit-overflow-scrolling: touch;
          & .filter-options {
            display: flex;
            flex-direction: column;
            padding: 0.5rem 0;
            & .form-check {
              margin: 0.5rem 1rem;
              padding-left: 1.5rem;
              & .form-check-input {
                margin-left: -1.5rem;
              }
              & .form-check-label {
                @include muli-light(14px);
              }
            }
          }
        }
      }
    }
  }

  // filters css
.filters-wrapper {
  & .header {
    & .card {
      border-bottom: 1px solid #d6d4d4 !important;
      border: none;
      & .card-body {
        @include muli-regular(16px);
        padding: 18px 10px;
        & .clear {
          color: #df4b5a;
        }
      }
    }
  }
  & #accordion {
    & .card {
      background: #ffffff 0% 0% no-repeat padding-box;
      border: 0.5px solid #f6f7fc;
      & .card-header {
        padding: 16px 15px;
        background-color: white !important;
        border-radius: 0px;
        border-bottom: 0.5px solid #f6f7fc;

        & .btn {
          padding: 0;
          @include muli-semibold(14px);
          color: #000000;
        }
      }

      & .card-body {
        & .custom-control {
          margin-bottom: 30px;
          &.custom-radio {
            margin-right: 10px;
          }
          & .custom-control-label {
            @include muli-light(14px);
          }
        }
      }
    }
  }
}
}

app-all-etfs {
  & .filter-wrapper {
    & .mobile-filter-backdrop {
      position: fixed;
      top: 100%;
      opacity: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background-color: rgba(0, 0, 0, 0.5);
      z-index: 999;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        top: 0;
        opacity: 1;
      }
    }
    & .mobile-filter-panel {
      position: fixed;
      bottom: -100%;
      opacity: 0;
      left: 0;
      right: 0;
      z-index: 9999;
      background-color: white;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        bottom: 0;
        opacity: 1;
      }
      & .filter-title {
        padding-top: 10px;
        padding-bottom: 10px;
        border-bottom: 2px solid #d6d4d4;
        & .filter-heading {
          margin: 0;
          @include muli-semibold(16px);
        }
        & .filter-title-action {
          color: #196be5;
          & .btn-filter-close {
            font-size: 1.5rem;
            line-height: normal;
          }
        }
      }

      & .filter-footer {
        padding-top: 10px;
        padding-bottom: 10px;
      }

      & .filter-body {
        display: flex;
        flex-direction: row;
        height: 50vh;
        & .filter-category-wrapper {
          display: flex;
          flex-direction: row;
          flex: 0 0 30%;
          flex-wrap: wrap;
          background-color: #F6F7FC;
          & .filter-category {
            flex: 1 1 auto;
            & .filter-type{
              & a {
                padding: 15px 0 15px 10px;
                display: flex;
                color: #000000;
                @include muli-semibold(14px);
                text-decoration: none;
                &.active {
                  background-color: white;
                }
              }
            }
          }
        }

        & .filter-options-wrapper {
          flex: 1 1 auto;
          overflow: scroll;
          -webkit-overflow-scrolling: touch;
          & .filter-options {
            display: flex;
            flex-direction: column;
            padding: 0.5rem 0;
            & .form-check {
              margin: 0.5rem 1rem;
              padding-left: 1.5rem;
              & .form-check-input {
                margin-left: -1.5rem;
              }
              & .form-check-label {
                @include muli-light(14px);
              }
            }
          }
        }
      }
    }
    & .desktop-filter-panel {
      position: relative;
      background-color: white;
      transition: all 0.35s linear;
      &.mobile-filter-open {
        bottom: 0;
        opacity: 1;
      }
      & .filter-title {
        padding-top: 10px;
        padding-bottom: 10px;
        border-bottom: 2px solid #d6d4d4;
        & .filter-heading {
          margin: 0;
          @include muli-semibold(16px);
        }
        & .filter-title-action {
          color: #196be5;
          & .btn-filter-close {
            font-size: 1.5rem;
            line-height: normal;
          }
        }
      }

      & .filter-footer {
        padding-top: 10px;
        padding-bottom: 10px;
      }

      & .filter-body {
        display: flex;
        flex-direction: row;
        height: 50vh;
        & .filter-category-wrapper {
          display: flex;
          flex-direction: row;
          flex: 0 0 30%;
          flex-wrap: wrap;
          background-color: #F6F7FC;
          & .filter-category {
            flex: 1 1 auto;
            & .filter-type{
              & a {
                padding: 15px 0 15px 10px;
                display: flex;
                color: #000000;
                @include muli-semibold(14px);
                text-decoration: none;
                &.active {
                  background-color: white;
                }
              }
            }
          }
        }

        & .filter-options-wrapper {
          flex: 1 1 auto;
          overflow: scroll;
          -webkit-overflow-scrolling: touch;
          & .filter-options {
            display: flex;
            flex-direction: column;
            padding: 0.5rem 0;
            & .form-check {
              margin: 0.5rem 1rem;
              padding-left: 1.5rem;
              & .form-check-input {
                margin-left: -1.5rem;
              }
              & .form-check-label {
                @include muli-light(14px);
              }
            }
          }
        }
      }
    }
  }
}

